// src/api/api.js
import axios from 'axios';

const api = axios.create({
  baseURL: process.env.REACT_APP_API_URL,  // ✅ 환경변수에서 읽어옴
  headers: {
    'Content-Type': 'application/json',
  }
});

// 요청에 JWT 자동 포함
api.interceptors.request.use(config => {
  const token = localStorage.getItem('access');
  if (token) {
    config.headers.Authorization = `Bearer ${token}`;
  }
  return config;
});

export default api;
